Webhooks
Rotate the signing secret
POST
/api/v1/webhooks/{webhookId}/rotate-secret
The old secret stops working immediately.
- API key access
- Read and write
- Project permission
- None — acts on your own account
- Success
- 200 — Rotated
Parameters
Path
| Parameter | Type | Notes |
|---|---|---|
webhookId required |
string |
Example request
Replace tk_live_YOUR_KEY with your API key and the ids with your own.
curl -X POST 'https://trackerv2.marketingplanet.global/api/v1/webhooks/6655f9b7d6a8c0e2f4b6d801/rotate-secret' \
-H 'Authorization: Bearer tk_live_YOUR_KEY'
const response = await fetch('https://trackerv2.marketingplanet.global/api/v1/webhooks/6655f9b7d6a8c0e2f4b6d801/rotate-secret', {
method: 'POST',
headers: {
Authorization: 'Bearer tk_live_YOUR_KEY',
},
});
const result = await response.json();
if (!response.ok) throw new Error(`${result.error.code}: ${result.error.message}`);
console.log(result.data);
import requests
response = requests.post(
"https://trackerv2.marketingplanet.global/api/v1/webhooks/6655f9b7d6a8c0e2f4b6d801/rotate-secret",
headers={"Authorization": "Bearer tk_live_YOUR_KEY"},
)
result = response.json()
if not response.ok:
raise RuntimeError(f"{result['error']['code']}: {result['error']['message']}")
print(result["data"])
Example response
{
"data": {
"id": "6655f9b7d6a8c0e2f4b6d801",
"url": "https://hooks.acmeretail.com/tracker",
"description": "Ops channel",
"events": [
"uptime.down",
"uptime.recovered"
],
"projectIds": [
"6650a4c2e1b3d5f7a9c1e301"
],
"enabled": true,
"disabledReason": null,
"consecutiveFailures": 0,
"lastDeliveryAt": "2026-10-06T09:20:44.000Z",
"lastSuccessAt": "2026-10-06T09:20:44.000Z",
"createdAt": "2026-09-12T08:00:00.000Z",
"updatedAt": "2026-10-06T09:20:44.000Z",
"secret": "whsec_Q2xhdWRlIGRvY3MgZXhhbXBsZSBzZWNyZXQ"
}
}
Response fields
| Field | Type | Notes |
|---|---|---|
data |
object | |
data.id |
string | |
data.url |
string | |
data.description |
string | |
data.events |
array of "uptime.down" | "uptime.still_down" | "uptime.recovered" | "finding.opened" | "finding.resolved" | |
data.projectIds |
array of string | |
data.enabled |
boolean | |
data.disabledReason |
string or null | |
data.consecutiveFailures |
integer | |
data.lastDeliveryAt |
string (date-time) or null | |
data.lastSuccessAt |
string (date-time) or null | |
data.createdAt |
string (date-time) | |
data.updatedAt |
string (date-time) | |
data.secret |
string |
Errors
Besides the errors any request can return (bad or missing key, plan, scope, rate limit), this endpoint can return:
| Status | error.code | Meaning |
|---|---|---|
| 404 | not-found | The resource does not exist or you cannot open it. Tracker does not reveal which. |
Errors always look like { "error": { "code": "…", "message": "…" } }. See Errors & limits.